package com.example.a8_bitinvader;

import java.util.LinkedList;
import java.util.Queue;
import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.util.Log;


public class Player extends Sprite{

    private int health = 3;

    public Player(int xPos, int yPos, int xVel, int yVel, Resources res) {
        super(xPos,yPos,xVel,yVel);
        this.xPos = xPos;
        this.yPos = yPos;
        spriteImage = BitmapFactory.decodeResource(res, R.drawable.green64);
        spriteImage = Bitmap.createScaledBitmap(spriteImage, getSpriteWidth(), getSpriteHeight(), false);
    }

    //get input from the joystick, and change the location

    // tbh I think this is goingto give us an error ltr, becuase we are going to call update and shoot constantly, I wonder what will happen if we write and deleting at the same time. We'll see tho
    public void update(int joyStickInputX, int joyStickInputY){
        xPos += joyStickInputX;
        yPos += joyStickInputY;
    }

    @Override //the return doesn't really mean anything all we need is that when any of the point hit within the hit box of player, call the loose health function.
    public boolean checkForCollision(int xx, int yy)
    {
        if( super.checkForCollision(xx,yy) ) {
            loseHealth();
            return true;
        } else {
            return false;
        }
    }

    // when loseHealth drop the help to 0, call the destroy function. which we will override ltr
    public void loseHealth() {
        health -= 1;
        if (health == 0) {
            destroy();
        }
    }


    public void shoot() {

    }

    @Override
    public void destroy() {
        //call animation also.
        //this should call the pulse function for the game, and manu would pop up.
        //implement ltr
    }

}
